Imports Microsoft.VisualBasic
Imports System
Imports DevExpress.ExpressApp
Imports DevExpress.ExpressApp.Win
Imports DevExpress.Persistent.Base
Imports DevExpress.ExpressApp.Actions
Imports DevExpress.ExpressApp.Security
Imports DevExpress.ExpressApp.Win.SystemModule

Public Interface IApplicationFactory
    Function CreateApplication() As WinApplication
End Interface
Public Class LogOnDB
    Inherits DevExpress.ExpressApp.WindowController
    Public changeDatabaseAction As SingleChoiceAction
    Public Shared NewApplication As WinApplication = Nothing

    Public Sub New()
        Me.TargetWindowType = WindowType.Main

        'changeDatabaseAction = New SingleChoiceAction(Me, "ChangeDatabase", PredefinedCategory.View)
        'changeDatabaseAction.Items.Add(New ChoiceActionItem("KUTYA", Nothing))
        'changeDatabaseAction.Items.Add(New ChoiceActionItem("MACSKA", Nothing))
    End Sub
End Class
